From: Geert.Uytterhoeven@thomas.kotnet.org
Date: Sun, 25 May 1997 23:21:18 +0200 (MET DST)
To: Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: debug=mem fix
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>


This patch fixes `debug=mem': amiga_savekmsg_init() may not be called before
amiga_chip_init().

--- linux-2.1.39/arch/m68k/amiga/config.c.orig	Sun May 18 23:08:51 1997
+++ linux-2.1.39/arch/m68k/amiga/config.c	Sun May 25 21:39:03 1997
@@ -359,6 +359,16 @@
   /* initialize chipram allocator */
   amiga_chip_init ();
 
+  /* debugging using chipram */
+  if (!strcmp( m68k_debug_device, "mem" ))
+      if (!AMIGAHW_PRESENT(CHIP_RAM))
+	  printk("Warning: no chipram present for debugging\n");
+      else {
+	  amiga_savekmsg_init();
+	  amiga_console_driver.write = amiga_mem_console_write;
+	  register_console(&amiga_console_driver);
+      }
+
   /*
    * if it is an A3000, set the magic bit that forces
    * a hard rekick
@@ -802,11 +812,8 @@
     if (!strcmp( m68k_debug_device, "ser" )) {
         /* no initialization required (?) */
 	amiga_console_driver.write = amiga_serial_console_write;
-    } else if (!strcmp( m68k_debug_device, "mem" )) {
-	amiga_savekmsg_init();
-	amiga_console_driver.write = amiga_mem_console_write;
+	register_console(&amiga_console_driver);
     }
-    register_console(&amiga_console_driver);
 }
 
 
Greetings,

						Geert

--
Geert Uytterhoeven                   Geert.Uytterhoeven@thomas.kotnet.org
Linux/m68k on Amiga, Wavelets        http://www.cs.kuleuven.ac.be/~geert/
KotNET@Thomas Network Administration -- Make you bed part of Cyberspace!!


